# rollup-plugin-eslint-bundle [![Travis Build Status][travis-img]][travis] [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

[travis-img]: https://travis-ci.org/nikolay-borzov/rollup-plugin-eslint-bundle.svg
[travis]: https://travis-ci.org/nikolay-borzov/rollup-plugin-eslint-bundle
[rollup]: https://github.com/rollup/rollup
[eslint-config]: http://eslint.org/docs/developer-guide/nodejs-api#cliengine

[Rollup] plugin to verify (and fix) bundled code with ESLint.


## Install

```sh
npm i rollup-plugin-eslint-bundle -D
```


## Usage

```js
import { rollup } from 'rollup';
import eslint from 'rollup-plugin-eslint-bundle';

rollup({
    entry: 'main.js',
    plugins: [
        eslint({ /* your options */ })
    ]
});
```


## Options

See more options here [eslint-config].

### throwOnError

Type: `boolean`  
Default: `false`

If true, will throw an error if any errors were found.

### throwOnWarning

Type: `boolean`  
Default: `false`

If true, will throw an error if any warnings were found.

### formatter

Type: `function` or `string`  
Default: `stylish`

Custom error formatter or the name of a built-in formatter.

### fix

Type: `boolean`  
Default: `false`

Whether to run autofixing logic on bundled code

# License

MIT © [Nikolay Borzov](mailto:nikolay.n.borzov@gmail.com)
